jif.types

## Class LabelLeAssertion_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - jif.types.LabelLeAssertion_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Assertion, LabelLeAssertion, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class LabelLeAssertion_c
      extends polyglot.types.TypeObject_c
      implements LabelLeAssertion

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Label` | `lhs`
    `protected Label` | `rhs`
    `protected LabelLeAssertionToJavaExpr` | `toJava`

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelLeAssertion_c(JifTypeSystem ts, Label lhs, Label rhs, polyglot.util.Position pos, LabelLeAssertionToJavaExpr toJava)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCanonical()`
    `Label` | `lhs()`
    `LabelLeAssertion` | `lhs(Label lhs)`
    `Label` | `rhs()`
    `LabelLeAssertion` | `rhs(Label rhs)`
    `polyglot.ast.Expr` | `toJava(JifToJavaRewriter rw)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `copy, equals, equalsImpl, hashCode, position, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position, typeSystem`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Field Detail

    - #### toJava

          protected LabelLeAssertionToJavaExpr toJava

    - #### lhs

          protected Label lhs

    - #### rhs

          protected Label rhs

  - ### Constructor Detail

    - #### LabelLeAssertion_c

          public LabelLeAssertion_c(JifTypeSystem ts,
                                    Label lhs,
                                    Label rhs,
                                    polyglot.util.Position pos,
                                    LabelLeAssertionToJavaExpr toJava)

  - ### Method Detail

    - #### lhs

          public Label lhs()

      Specified by:
        `lhs` in interface `LabelLeAssertion`

    - #### rhs

          public Label rhs()

      Specified by:
        `rhs` in interface `LabelLeAssertion`

    - #### lhs

          public LabelLeAssertion lhs(Label lhs)

      Specified by:
        `lhs` in interface `LabelLeAssertion`

    - #### rhs

          public LabelLeAssertion rhs(Label rhs)

      Specified by:
        `rhs` in interface `LabelLeAssertion`

    - #### isCanonical

          public boolean isCanonical()

      Specified by:
        `isCanonical` in interface `polyglot.types.TypeObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toJava

          public polyglot.ast.Expr toJava(JifToJavaRewriter rw)
                                   throws polyglot.types.SemanticException

      Specified by:
        `toJava` in interface `LabelLeAssertion`
      Throws:
        `polyglot.types.SemanticException`